[![N|Solid](https://s18.postimg.cc/4jhduxiu1/lime-scss-logo.png)](https://github.com/mysticman/lime-scss)

# Lime SCSS Framework

Lime scss framework is a lightweight scss framework based flexbox, with NO JavaScript dependency.

Online docs

**The most important principles of this framework**

#### Flexbox grid system
- A modern grid system should be based on flexbox
- Much more flexible than bootstrap (not only n/12 col width)
- Pull, push capability
- Horizontal and vertical alignment options via flexbox (around, between etc.)
- More and customizable media breakpoint

#### Lightweight
   - The core framework should only contains the fully customizable grid layout
   - Not contain a UI element what has got JavaScript dependency
   - A framework should contains only the most frequently used elements (typography, form, buttons, image, table, callout)

### Modular and flexible
   - For the framework you could add more UI elements easily what without change the core
   - All of the core components should be overrideable with easily
   - Separate the scss architecture because of readability

#### Built in support for mobiles and tablets
  - Most of the css/scss frameworks has got lack of support for specific mobile and tablet devices because of pixel density

#### Philisophy 
   - Based on the SMACSS principles
   - The class naming convention is very important in a framework, it should be clear, tidy, meaningful and familiar for everybody

#### Other frameworks size 

| Framework | Size (gzip) | Difference |
| ------ | ------ | ------ |
| [Lime SCSS](https://github.com/mysticman/lime-scss) | 12.935KB  | -
| [Bootstrap 3.x](https://getbootstrap.com/docs/3.3/) | 19.764KB | +160%
| [Bootstrap 4.x](https://getbootstrap.com/) | 21.044KB  | +170% 
| [Foundation](https://foundation.zurb.com/) | 16.858KB | +135%
| [Bulma](https://bulma.io/) | 21.705KB | +175%
